﻿<div ng-controller="appNotificationsController">

    <div id="page-heading">
        <ol ng-hide="false" class="breadcrumb">
            <li><a href="#/">{{transaction.Dashboard}}</a></li>
            <li class="active">{{transaction.Notifications}}</li>
        </ol>
        <a ng-click="backButton()" class="glyphicon glyphicon-chevron-left back-arrow"></a>
    </div>

    <div class="panel-loading" ng-show="isDataLoading">
        <div class="panel-loader-dots"></div>
    </div>
    <div class="container-fluid" ng-hide="isDataLoading">
        <div class="row">

            <div class="col-md-12">

                <div class="panel panel-inbox">
                    <div class="panel-body">

                        <div class="inbox-mail-heading">
                            <div class="clearfix spmg-2">
                                <div class="pull-left">
                                    <div class="btn-group spmg2">
                                        <span style="cursor: not-allowed" class="btn btn-default"><i class="glyphicon glyphicon-globe"></i></span>
                                        <span style="cursor: not-allowed" class="btn btn-default">{{transaction.Notifications}}</span>
                                    </div>
                                </div>
                                <div class="pull-right">
                                    <div class="btn-group spmg2">
                                        <select class="form-control" style="cursor: pointer" ng-model="pageSize" ng-change="pageChanged(currentPage,pageSize)">
                                            <option ng-repeat="item in showResult" value="{{item}}">{{item}}</option>
                                        </select>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <table class="table table-striped table-hover table-inbox mb0 table-vam">
                            <thead>
                                <tr>
                                    <td>#</td>
                                    <td>{{transaction.Date}}</td>
                                    <td>{{transaction.Text}}</td>
                                    <td>{{transaction.By}}</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-click="openMail()" class="unread" ng-repeat="item in data track by $index">
                                    <td>{{$index+1}}</td>
                                    <td class="inbox-msg-from hidden-xs hidden-sm" width="20%">
                                        <div>{{item.time | date : "d/MM/yyyy" }}</div>
                                    </td>
                                    <td class="inbox-msg-snip">
                                        <i class="{{item.dbNotificationIconClass}}"></i> {{item.text}}
                                    </td>
                                    <td>{{item.applicationUser.userName}}</td>
                                    <td class="inbox-msg-attach">
                                        <a ng-href="#/userDetails?id={{item.applicationUser.id}}"><i class="fa fa-fw fa-user" width="1%" tooltip-placement="top" tooltip-append-to-body="true" tooltip="{{transaction.User}}"></i></a>
                                    </td>
                                    <!--<td class="inbox-msg-attach"><i ng-class="item.isSeen?'fa fa-eye':'fa fa-eye-slash'" style="color: green" width="1%" tooltip-placement="top" tooltip-append-to-body="true" tooltip="تفاصيل"></i> </td>-->
                                    <td class="inbox-msg-attach"><i class="fa fa-trash-o" style="color: red" ng-click="openConfirm(item.dbNotificationId,$index)" width="1%" tooltip-placement="top" tooltip-append-to-body="true" tooltip="الحذف"></i> </td>

                                </tr>
                                <tr>
                                    <td ng-hide="data.length > 0" colspan="6">
                                        <div class="search-result">
                                            <div class="member">
                                                <div class="row" ng-hide="isDataLoading">
                                                    <div class="col-xs-12 col-md-9">
                                                        <p>{{transaction.NoResult}}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="inbox-mail-footer" ng-if="totalData> 10">
                            <div class="clearfix spmg-2">
                                <div class="pull-right">
                                    <div class="btn-group spmg2 pull-right">
                                        <pagination total-items="totalData" ng-model="currentPage" previous-text="السابق" next-text="التالى" ng-change="pageChanged(currentPage,pageSize)" boundary-link-numbers="true" max-size="10" items-per-page="pageSize"></pagination>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<style>
    .g {
        color: #e0e0e0;
        background-color: #f5f5f5;
    }
</style>